Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortletConfigImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletConfigImpl

All Implemented Interfaces:
  PortletConfig

    public class PortletConfigImpl

extends java.lang.Object
implements PortletConfig

Version:
  $Revision: 6817 $
Author:
  Julien Viet

Constructor Summary
`PortletConfigImpl(java.lang.String portletName, PortletContext portletContext, java.util.Map initParameters, ResourceBundleManager bundleMgr)`

Method Summary
`java.lang.String` | `getInitParameter(java.lang.String s)` Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
`java.util.Enumeration` | `getInitParameterNames()` Returns the names of the portlet initialization parameters as an `Enumeration` of String objects, or an empty `Enumeration` if the portlet has no initialization parameters.
`PortletContext` | `getPortletContext()` Returns the `PortletContext` of the portlet application the portlet is in.
`java.lang.String` | `getPortletName()` Returns the name of the portlet.
`java.util.ResourceBundle` | `getResourceBundle(java.util.Locale locale)` May return null ? the spec does not specify what happens when the bundle is not found for the locale.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletConfigImpl

    public PortletConfigImpl(java.lang.String portletName,
                             PortletContext portletContext,
                             java.util.Map initParameters,
                             ResourceBundleManager bundleMgr)

Method Detail

### getPortletName

    public java.lang.String getPortletName()

  Description copied from interface: `PortletConfig`
  Returns the name of the portlet.

  The name may be provided via server administration, assigned in the portlet application deployment descriptor with the `portlet-name` tag.

  Specified by:
    `getPortletName` in interface `PortletConfig`
  Returns:
    the portlet name

### getPortletContext

    public PortletContext getPortletContext()

  Description copied from interface: `PortletConfig`
  Returns the `PortletContext` of the portlet application the portlet is in.

  Specified by:
    `getPortletContext` in interface `PortletConfig`
  Returns:
    a `PortletContext` object, used by the caller to interact with its portlet container
  See Also:
    `PortletContext`

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(java.util.Locale locale)

  May return null ? the spec does not specify what happens when the bundle is not found for the locale.

  Specified by:
    `getResourceBundle` in interface `PortletConfig`
  Parameters:
    `locale` - the locale for which to retrieve the resource bundle
  Returns:
    the resource bundle for the given locale

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String s)

  Description copied from interface: `PortletConfig`
  Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.

  Specified by:
    `getInitParameter` in interface `PortletConfig`
  Parameters:
    `s` - a `String` specifying the name of the initialization parameter
  Returns:
    a `String` containing the value of the initialization parameter

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Description copied from interface: `PortletConfig`
  Returns the names of the portlet initialization parameters as an `Enumeration` of String objects, or an empty `Enumeration` if the portlet has no initialization parameters.

  Specified by:
    `getInitParameterNames` in interface `PortletConfig`
  Returns:
    an `Enumeration` of `String` objects containing the names of the portlet initialization parameters, or an empty `Enumeration` if the portlet has no initialization parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD